# 人气排行榜

`GET` `/v1/quote/market/rank/list`

根据排行榜标签 key 获取股票排行。key 来自 `rank_categories` 的 `second_tags[].key`，例如 `hot_all-us`（美股总热度）。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `key` | string | Yes | 排行榜标签键值，来自 `rank_categories` 的 `second_tags[].key` |
| `need_article` | boolean | No | 是否返回关联文章，默认 `false` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/market/rank/list?key=<key>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `bmp` | boolean | No | 是否为盘前预览数据 |
| `lists` | object[] | No | 排行榜股票列表 |
| `└ code` | string | No | 股票代码（如 `MU`） |
| `└ symbol` | string | No | 标的代码，格式为 `代码。市场`（如 `MU.US`） |
| `└ name` | string | No | 证券名称 |
| `└ last_done` | string | No | 最新成交价 |
| `└ chg` | string | No | 涨跌幅（小数比率，如 `0.0252` 表示 2.52%） |
| `└ change` | string | No | 价格涨跌额（如 `17.200`） |
| `└ inflow` | string | No | 净流入资金（单位：所属市场货币） |
| `└ market_cap` | string | No | 市值 |
| `└ industry` | string | No | 行业分类 |
| `└ pre_post_price` | string | No | 盘前/盘后价格 |
| `└ pre_post_chg` | string | No | 盘前/盘后涨跌幅（小数比率） |
| `└ amplitude` | string | No | 振幅（小数比率） |
| `└ five_day_chg` | string | No | 5 日涨跌幅（小数比率） |
| `└ turnover_rate` | string | No | 换手率（小数比率） |
| `└ volume_rate` | string | No | 量比 |
| `└ pb_ttm` | string | No | 市净率（TTM） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "bmp": false,
    "lists": [
      {
        "code": "MU",
        "symbol": "MU.US",
        "name": "Micron Technology",
        "last_done": "698.740",
        "chg": "0.0252",
        "change": "17.200",
        "inflow": "-347041642",
        "market_cap": "787992890796",
        "industry": "Semiconductor Manufacturers",
        "pre_post_price": "726.600",
        "pre_post_chg": "0.0399",
        "amplitude": "0.1082",
        "five_day_chg": "-0.0885",
        "turnover_rate": "0.0550",
        "volume_rate": "1.11",
        "pb_ttm": "32.68"
      }
    ]
  }
}
```
